package com.trustpayments.mobile.ui.testutils

object ValidCardNumbers {

    fun getForVisa() = listOf(
        "4916477287051663",
        "4219528169189312",
        "4539372795292001367"
    )

    fun getForMastercard() = listOf(
        "2720991229108712",
        "5319765425806323",
        "5133684126825306"
    )

    fun getForAmex() = listOf(
        "342009335615660",
        "375791692744809",
        "370780566358312"
    )

    fun getForMaestro() = listOf(
        "5020232406609127",
        "6759055161671239",
        "5018379211626087"
    )

    fun getForDiscover() = listOf(
        "6011934210819607",
        "6011061237448028",
        "6011311934396924735"
    )

    fun getForDiners() = listOf(
        "30191333657196",
        "30391588549102",
        "30416520198062",
        "36983926195368",
        "36636816339062",
        "36902641495069",
        "3005000000006246"
    )

    fun getForJCB() = listOf(
        "3532647394687577",
        "3530904427983883",
        "3530785855150495506"
    )

    fun getForUnknown() = listOf(
        "000000000000009",
        "1234123456785678"
    )
}